## knxd-2c6c6732a684dffb87b391ea92cccdf07c8385b8.tar.gz

=== contrib/legacy-eibd/openwrt/Makefile ===
include $(TOPDIR)/rules.mk

PKG_NAME:=eibd
PKG_VERSION:=0.0.4.16
PKG_RELEASE:=4

PKG_SOURCE:=bcusdk_0.0.4+nmu16.tar.gz
# $(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_SOURCE_URL:=http://repo.wiregate.de/wiregate/pool/main/b/
PKG_MD5SUM:=d92f34a703d79421d90fa4e1258ca235

PKG_FIXUP:=libtool
PKG_INSTALL:=1

#PKG_BUILD_DEPENDS:=pthsem argp-standalone
#PKG_BUILD_DEPENDS:=pthsem uClibc++ libxml2 libusb argp-standalone
PKG_BUILD_DEPENDS:=pthsem uClibc++ argp-standalone

#PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
PKG_BUILD_DIR:=$(BUILD_DIR)/bcusdk

include $(INCLUDE_DIR)/package.mk

define Package/eibd/Default
  SECTION:=net
  CATEGORY:=Network
  TITLE:=eibd EIB/KNX 
  URL:=http://www.auto.tuwien.ac.at/~mkoegler/index.php/eibd
endef

define Package/libeibclient
  $(call Package/eibd/Default)
  DEPENDS:=+pthsem +uclibcxx
  TITLE+= libeibclient
endef
define Package/eibd-server
  $(call Package/eibd/Default)
  DEPENDS:=+pthsem uclibcxx
  TITLE+= server daemon
endef
define Package/eibd-bcuaddrtab
  $(call Package/eibd/Default)
  DEPENDS:=+pthsem uclibcxx
  TITLE+= bcuaddrtab
endef
define Package/eibd-knxtool
  $(call Package/eibd/Default)
  DEPENDS:=+pthsem uclibcxx libeibclient
  TITLE+= knxtool
endef
define Package/eibd-cgi
  $(call Package/eibd/Default)
  DEPENDS:=+pthsem uclibcxx libeibclient lighttpd lighttpd-mod-setenv lighttpd-mod-cgi
  TITLE+= cgi-clients
endef

define Build/Prepare
#markstaller@v1520-mm:~/openwrt/trunk$ cp build_dir/target-mips_r2_uClibc-0.9.32/pthsem-2.0.8/pthsem.m4 /home/markstaller/openwrt/trunk/staging_dir/#target-mips_r2_uClibc-0.9.32/usr/share/aclocal/
# dirty hack for useless libtool:
	$(CP) $(PKG_BUILD_DIR)/../pthsem-2.0.8/pthsem.m4 $(STAGING_DIR)/usr/share/aclocal/
	$(call Build/Prepare/Default)
endef

CONFIGURE_ARGS += \
	--enable-onlyeibd \
	--enable-eibnetiptunnel \
	--enable-eibnetip \
	--enable-eibnetipserver \
	--enable-tpuarts \
	--enable-ft12 \
	--disable-tpuart \
	--disable-usb \
	--disable-pei16 \
	--disable-pei16s \
	--enable-groupcache \
	--with-pth=yes \
	--without-pth-test \
	--without-libstdc 

#define Build/Compile
#	$(MAKE) -C $(PKG_BUILD_DIR) \
#		CC=$(TARGET_CC) \
#		LIBS="-L$(STAGING_DIR)/usr/lib -fno-builtin -nostdinc++ -nodefaultlibs -luClibc++ -lc -lm -lgcc -largp -lpthsem" \
#		CPPFLAGS="-I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include"
#		# -I$(LINUX_DIR)/include"
#endef
MAKE_FLAGS += \
	CFLAGS="$(TARGET_CFLAGS) -Wall -D_REENTRANT" \
	LIBS="-L$(STAGING_DIR)/usr/lib -fno-builtin -nostdinc++ -nodefaultlibs -luClibc++ -lc -lm -lgcc -largp -lpthsem" \
	CPPFLAGS="-I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include" \
	all

define Build/InstallDev
	$(INSTALL_DIR) $(1)/usr/include
	$(CP) $(PKG_INSTALL_DIR)/usr/include/eibclient.h $(1)/usr/include/
	$(CP) $(PKG_INSTALL_DIR)/usr/include/eibloadresult.h $(1)/usr/include/
	$(INSTALL_DIR) $(1)/usr/lib
	$(CP) $(PKG_INSTALL_DIR)/usr/lib/libeibclient.{a,so*} $(1)/usr/lib/
endef

define Package/libeibclient/install
	$(INSTALL_DIR) $(1)/usr/lib
	$(CP) $(PKG_INSTALL_DIR)/usr/lib/libeibclient.so.* $(1)/usr/lib/
endef

# FIXME: put/read eibd-config into/from UCI

define Package/eibd-server/install
	$(INSTALL_DIR) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_BUILD_DIR)/eibd/server/eibd $(1)/usr/bin/
	$(INSTALL_DIR) $(1)/etc/init.d
	$(INSTALL_BIN) ./files/eibd.init $(1)/etc/init.d/eibd
#	$(INSTALL_DIR) $(1)/etc/default
#	$(INSTALL_BIN) ./files/eibd.default $(1)/etc/default/eibd
endef
define Package/eibd-server/postinst
#!/bin/sh
# check if we are on real system
if [ -z "$${IPKG_INSTROOT}" ]; then
        echo "Enabling rc.d symlink for eibd"
        /etc/init.d/eibd enable
        /etc/init.d/eibd start
fi
exit 0
endef

define Package/eibd-server/prerm
#!/bin/sh
# check if we are on real system
if [ -z "$${IPKG_INSTROOT}" ]; then
        echo "Removing rc.d symlink for eibd"
        /etc/init.d/eibd disable
        /etc/init.d/eibd stop
fi
exit 0
endef

define Package/eibd-bcuaddrtab/install
	$(INSTALL_DIR) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_BUILD_DIR)/eibd/bcu/bcuaddrtab $(1)/usr/bin/
endef
define Package/eibd-cgi/install
	$(INSTALL_DIR) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/eib*cgi $(1)/usr/bin/
	$(INSTALL_DIR) $(1)/www/cgi-bin
	ln -s /usr/bin/eibread-cgi $(1)/www/cgi-bin/r
	ln -s /usr/bin/eibwrite-cgi $(1)/www/cgi-bin/w
	$(INSTALL_BIN) ./files/cgi.l.sh $(1)/www/cgi-bin/l
endef
define Package/eibd-knxtool/install
	$(INSTALL_DIR) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/knxtool $(1)/usr/bin/
	ln -s knxtool $(1)/usr/bin/knxread
	ln -s knxtool $(1)/usr/bin/knxreadtemp
	ln -s knxtool $(1)/usr/bin/knxwrite
	ln -s knxtool $(1)/usr/bin/knxlog
	ln -s knxtool $(1)/usr/bin/knxon
	ln -s knxtool $(1)/usr/bin/knxoff
	ln -s knxtool $(1)/usr/bin/knxif
	ln -s knxtool $(1)/usr/bin/knxswrite
	ln -s knxtool $(1)/usr/bin/knxbool
	ln -s knxtool $(1)/usr/bin/knxdimup
endef

$(eval $(call BuildPackage,libeibclient))
$(eval $(call BuildPackage,eibd-server))
$(eval $(call BuildPackage,eibd-bcuaddrtab))
$(eval $(call BuildPackage,eibd-knxtool))
$(eval $(call BuildPackage,eibd-cgi))

=== debian/changelog ===
knxd (0.9.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Timo <knxd@timo-wingender.de>  Tue, 16 Dec 2014 12:55:54 +0100

=== debian/control ===
Source: knxd
Section: net
Priority: optional
Maintainer: Timo <knxd@timo-wingender.de>
Build-Depends: debhelper (>= 7.0.0), autotools-dev, libpthsem-dev, libpthsem20, libusb-1.0-0 (>= 1.0.10), libusb-1.0-0-dev (>= 1.0.10), pkg-config
Standards-Version: 3.9.4
Homepage: https://github.com/Makki1/knxd
Vcs-Git: https://github.com/Makki1/knxd.git
#Vcs-Browser: 

Package: knxd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpthsem20, libusb-1.0-0 (>= 1.0.10)
Description: knxd is a daemon to access a KNX bus
 knxd is a fork of eibd from bcusdk.
 This Package contains the daemon to access the bus.

Package: knxd-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpthsem20, libusb-1.0-0
Description: Tools to use knxd
 These are tools to access a KNX bus over the knxs Daemon

Package: knxd-dev
Architecture: all
Description: Development files for knxd
 These are the development files for knxd clients

Package: knxd-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: documentation and examples for knxd
 These are example programs for knxd

#Package: knxd-doc
#Architecture: all
#Description: documentation for knxd
# <insert long description, indented with spaces>

=== contrib/legacy-eibd/debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-ft12 \
	--enable-pei16 \
	--enable-tpuart \
	--enable-pei16s \
	--enable-tpuarts \
	--enable-eibnetip \
	--enable-eibnetipserver \
	--enable-groupcache \
	--enable-usb \
	--enable-eibnetiptunnel \
	--enable-onlyeibd

DEB_DH_STRIP_ARGS := -Xusr/lib/bcusdk/lib -Xusr/lib64/bcusdk/lib --dbg-package=eibd-dbg
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_INSTALL_DOCS_ALL := README

clean::
	find -type l -exec rm {} \;
	autoreconf -i

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=-format
export DEB_BUILD_HARDENING_FORMAT=0


# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- --enable-usb --enable-eibnetip --enable-eibnetiptunnel --enable-eibnetipserver --enable-groupcache --enable-tpuart --enable-ft12
